Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore.dev
Class UploadBlobServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.blobstore.dev.UploadBlobServlet

    public final class UploadBlobServlet

extends HttpServlet

`UploadBlobServlet` handles blob uploads in the development server. The stub implementation of `BlobstoreService.createUploadUrl(java.lang.String)` returns URLs that are mapped to this servlet.

Its primary responsibility is parsing multipart/form-data or multipart/mixed requests made by web browsers. To minimize dependencies in the SDK, it does using the MimeMultipart class included with JavaMail.

After the files are extracted from the multipart request body, they are assigned `BlobKey` values and are committed to local storage. The multipart body parts are then replaced with message/external-body parts that specify the `BlobKey` as additional parameters in the Content-type header.

Constructor Summary
`UploadBlobServlet()`

Method Summary
`void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
`void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadBlobServlet

    public UploadBlobServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Throws:
    `ServletException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws ServletException,
                       java.io.IOException

  Throws:
    `ServletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD